Bug 1230548 - Review Request: python-fasteners - A python package that provides useful locks.
Summary: Review Request: python-fasteners - A python package that provides useful locks.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1231311 RDO-LIBERTY-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2015-06-11 07:06 UTC by Matthias Runge
Modified: 2015-07-23 07:06 UTC (History)
3 users (show)

Fixed In Version: python-fasteners-0.9.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 20:19:41 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Modified spec (1.94 KB, text/plain)
2015-06-12 13:41 UTC, Javier Peña
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1231311 None None None Never

Internal Links: 1231311

Description Matthias Runge 2015-06-11 07:06:50 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-fasteners.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-fasteners-0.9.0-1.fc22.src.rpm
Description: A python package that provides useful locks.
Fedora Account System Username: mrunge

Comment 1 Javier Peña 2015-06-12 13:41:10 UTC
Created attachment 1038083 [details]
Modified spec

I am attaching a slightly modified version of Matthias' spec. It depends on https://github.com/harlowja/fasteners/pull/6 being merged, so the LICENSE file is properly included in the tarball.

Comment 2 Matthias Runge 2015-06-12 18:18:48 UTC
LICENSE is now included in upstream master tarball, but not in a release yet.

Comment 3 Haïkel Guémar 2015-06-12 18:52:11 UTC
Few things:
* drop the python fallback macros, we don't support anymore EL6 in RDO
* %files section for python3 subpackage is not within a conditional.
* %check section could be enabled
=> python nosetests 
It only adds BR: python-{concurrence,testtools,nose}, python3-{testtools,nose}

Comment 4 Matthias Runge 2015-06-12 20:18:21 UTC
- fallback macros dropped
- conditionals added to files section (and to build section)
- checks enabled

SPEC: http://www.matthias-runge.de/fedora/python-fasteners.spec
SRPM: http://www.matthias-runge.de/fedora/python-fasteners-0.9.0-2.fc22.src.rpm

Comment 5 Haïkel Guémar 2015-06-14 12:24:19 UTC
One small fixes required before import: license file is not installed with
python3 subpackage, please add %license LICENSE line.

Since this packages complies with Fedora Packaging Guidelines, I hereby approve
it into Fedora Packages Collection. Please proceed with SCM request

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/haikel/1230548-python-
     fasteners/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://codeload.github.com/harlowja/fasteners/tar.gz/0.9.0#/fasteners-0.9.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
     => manually tested and it works
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-fasteners
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-fasteners-0.9.0-2.fc23.noarch.rpm
          python3-fasteners-0.9.0-2.fc23.noarch.rpm
          python-fasteners-0.9.0-2.fc23.src.rpm
python3-fasteners.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-fasteners (rpmlib, GLIBC filtered):
    python(abi)
    python3-six

python-fasteners (rpmlib, GLIBC filtered):
    python(abi)
    python-six



Provides
--------
python3-fasteners:
    python3-fasteners

python-fasteners:
    python-fasteners

Comment 6 Matthias Runge 2015-06-15 06:26:13 UTC
Haikel, thank you for your review!

New Package SCM Request
=======================
Package Name: python-fasteners
Short Description: A python package that provides useful locks.
Upstream URL: https://github.com/harlowja/fasteners
Owners: mrunge
Branches: f22 epel7

Comment 7 Gwyn Ciesla 2015-06-15 12:51:08 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-06-15 19:51:23 UTC
python-fasteners-0.9.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-fasteners-0.9.0-2.fc22

Comment 9 Fedora Update System 2015-06-15 20:02:15 UTC
python-fasteners-0.9.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-fasteners-0.9.0-2.el7

Comment 10 Matthias Runge 2015-06-15 21:17:48 UTC
Package Change Request
======================
Package Name: python-fasteners
New Branches: f21
Owners: mrunge

Comment 11 Gwyn Ciesla 2015-06-16 13:56:03 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-06-18 18:33:49 UTC
python-fasteners-0.9.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 13 Fedora Update System 2015-06-30 20:19:41 UTC
python-fasteners-0.9.0-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-07-08 17:01:00 UTC
python-fasteners-0.9.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.